MSW1ParserInternal Namespace Reference

Internal: the structures of a MSW1Parser. More...

## Classes

struct | PLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | Font
| Internal: the font of a MSW1Parser. More...
struct | Paragraph
| Internal: the paragraph of a MSW1Parser. More...
struct | State
| Internal: the state of a MSW1Parser. More...
class | SubDocument
| Internal: the subdocument of a MSWParser. More...

## Enumerations

enum | PLCType { FONT =0, RULER, FOOTNOTE, PAGE, ZONE, UNKNOWN }
| different types More...

## Functions

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
std::ostream & | operator<< (std::ostream &o, Font const &ft)
std::ostream & | operator<< (std::ostream &o, Paragraph const &para)

## Detailed Description

Internal: the structures of a MSW1Parser.

## Enumeration Type Documentation

enum MSW1ParserInternal::PLCType

different types

- FONT: font
- RULER: ruler
- PAGE: page break
- FOOTNOTE: footnote marker
- ZONE: unknown(zone4)

Enumerator
FONT |
RULER |
FOOTNOTE |
PAGE |
ZONE |
UNKNOWN |

## Function Documentation

std::ostream& MSW1ParserInternal::operator<< | ( | std::ostream & | o,
|  | PLC const & | plc
| ) |  |

std::ostream& MSW1ParserInternal::operator<< | ( | std::ostream & | o,
|  | Font const & | ft
| ) |  |

std::ostream& MSW1ParserInternal::operator<< | ( | std::ostream & | o,
|  | Paragraph const & | para
| ) |  |